Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
attachments
List Attachments
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/attachments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "created_at": "2023-11-07T05:31:56Z",
        "media_id": "<string>",
        "position": 123,
        "target_id": "<string>"
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Query Parameters

media_id
string | null
target_type
enum<string> | null
Available options:
content_node,
hub_branding,
page_section,
email_message,
playlist,
comment,
discussion
target_id
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

Collection JSON:API response wrapping a list of AttachmentResources.

data
JsonApiResource[AttachmentAttributes] · object[]
required
included
any[] | null
meta
Meta · object